Index: c/src/lib/libbsp/i386/i386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -1,2 +1,12 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* console/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* network/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* timer/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-07-22	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i386/i386ex/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/clock/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/i386ex/clock/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -7,5 +7,5 @@
 
 C_FILES = ckinit.c
-clock_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
+clock_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libbsp/i386/i386ex/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/console/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/i386ex/console/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -11,5 +11,5 @@
 C_FILES = console.c
 
-console_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
+console_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libbsp/i386/i386ex/network/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/network/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/i386ex/network/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -7,5 +7,5 @@
 
 C_FILES = network.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 noinst_HEADERS = netexterns.h uti596.h
Index: c/src/lib/libbsp/i386/i386ex/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/start/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/i386ex/start/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -4,5 +4,5 @@
 
 S_FILES = start.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 noinst_HEADERS = 80386ex.h 80386ex.inc macros.inc
@@ -18,10 +18,10 @@
 #
 
-bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
 all-local: $(ARCH) $(OBJS) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/i386/i386ex/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/startup/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/i386ex/startup/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -11,8 +11,8 @@
     idt.c irq.c irq_init.c i386-stub.c i386-stub-glue.c uart.c \
     gnatinstallhandler.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 S_FILES = irq_asm.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 startup_rel_OBJECTS = $(C_O_FILES) $(S_O_FILES)
Index: c/src/lib/libbsp/i386/i386ex/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/timer/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/i386ex/timer/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -8,5 +8,5 @@
 C_FILES = timer.c
 S_FILES = timerisr.S
-timer_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o) $(S_FILES:%.S=$(ARCH)/%.o)
+timer_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT)) $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libbsp/i386/i386ex/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/i386ex/wrapup/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/i386ex/wrapup/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -12,6 +12,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(wildcard ../../../../libcpu/i386/$(ARCH)/*.o)
+OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
+    $(wildcard ../../../../libcpu/i386/$(ARCH)/*.$(OBJEXT))
 LIB = $(ARCH)/libbsp.a
 
Index: c/src/lib/libbsp/i386/ts_386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -1,2 +1,12 @@
+2002-08-11	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* clock/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* console/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* network/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* start/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* startup/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* timer/Makefile.am: Use .$(OBJEXT) instead of .o.
+ 	* wrapup/Makefile.am: Use .$(OBJEXT) instead of .o.
+
 2002-07-20	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/i386/ts_386ex/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/clock/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/ts_386ex/clock/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -7,5 +7,5 @@
 
 C_FILES = ckinit.c rtc.c
-clock_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
+clock_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libbsp/i386/ts_386ex/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/console/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/ts_386ex/console/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -11,5 +11,5 @@
 C_FILES = console.c
 
-console_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
+console_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libbsp/i386/ts_386ex/network/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/network/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/ts_386ex/network/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -7,5 +7,5 @@
 
 C_FILES = ne2000.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(C_O_FILES)
Index: c/src/lib/libbsp/i386/ts_386ex/start/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/start/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/ts_386ex/start/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -4,5 +4,5 @@
 
 S_FILES = start.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 OBJS = $(S_O_FILES)
@@ -18,10 +18,10 @@
 #
 
-bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+bsplib_DATA = $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
-$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o: $(ARCH)/start.o
+$(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT): $(ARCH)/start.$(OBJEXT)
 	$(INSTALL_DATA) $< $@
 
-TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).o
+TMPINSTALL_FILES += $(PROJECT_RELEASE)/lib/start$(LIB_VARIANT).$(OBJEXT)
 
 all-local: $(ARCH) $(OBJS) $(TMPINSTALL_FILES)
Index: c/src/lib/libbsp/i386/ts_386ex/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/startup/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/ts_386ex/startup/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -11,8 +11,8 @@
     idt.c irq.c irq_init.c i386-stub.c i386-stub-glue.c uart.c \
     gnatinstallhandler.c
-C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT))
 
 S_FILES = irq_asm.S
-S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.o)
+S_O_FILES = $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 startup_rel_OBJECTS = $(C_O_FILES) $(S_O_FILES)
Index: c/src/lib/libbsp/i386/ts_386ex/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/timer/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/ts_386ex/timer/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -9,5 +9,5 @@
 C_FILES = timer.c
 S_FILES = timerisr.S
-timer_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o) $(S_FILES:%.S=$(ARCH)/%.o)
+timer_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.$(OBJEXT)) $(S_FILES:%.S=$(ARCH)/%.$(OBJEXT))
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
Index: c/src/lib/libbsp/i386/ts_386ex/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/wrapup/Makefile.am	(revision 92b8b98af0e387c404da0af790eaaad6acffea30)
+++ c/src/lib/libbsp/i386/ts_386ex/wrapup/Makefile.am	(revision 0fe6737b9973d17b92a89b0d1c1a4a4b267d99c7)
@@ -12,6 +12,6 @@
 
 # bummer; have to use $foreach since % pattern subst rules only replace 1x
-OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.o)) \
-    $(wildcard ../../../../libcpu/i386/$(ARCH)/*.o)
+OBJS = $(foreach piece, $(BSP_FILES), $(wildcard ../$(piece)/$(ARCH)/*.$(OBJEXT))) \
+    $(wildcard ../../../../libcpu/i386/$(ARCH)/*.$(OBJEXT))
 LIB = $(ARCH)/libbsp.a
 
